Subject: Re: bug#53667: emacs on Apple M1

From: Enrico Onofri <[email-masked]>
Date: Tue, 1 Feb 2022 17:22:39 +0100

Hi, sorry for my obscure message. The fact is that I’m trying to compile Aquamacs (aquamacs.org) from its
git repository. Latest version is 3.6  (GNU emacs 23.50.1). The application can be downloaded from the aquamacs site, but I want to compile it on my new Mac as a check of its capabilities as a whole. It stops with the warning
"configure: error: Emacs does not support 'arm-apple-darwin21.3.0' systems.
If you think it should, please send a report to [email-masked].
Check 'etc/MACHINES' for recognized configuration names."
Now I do not know whether is responsibility the developer of aquamacs, and I issued this bug# to try to understand. I tend to believe that it’s responsibility of aquamacs… Best wishes, E.O.

______________________________
Prof. Enrico Onofri
INFN, gruppo di Parma
C/O Dip. di Mat. Fis. e Informatica
Università di Parma
        Phone: 3454208186

Home page: https://www.eoinfnpr.it/index.html

Pino’s blog on Computational Physics:
https://www.labfiscomp.blog/index.html

On 31 Jan 2022, 18:01 +0100, Lars Ingebrigtsen <[email-masked]>, wrote:
> Enrico Onofri <[email-masked]> writes:
>
> > I receive a fatal warning "Emacs does not support 'arm-apple-darwin21.3.0’
> > systems"
> > while trying to compile emacs. Are there plans to cover the new Macs in the near
> > future? Thanks,
>
> You don't say what Emacs version you're trying to use, or where you've
> found it.
>
> The current Emacs version works fine on M1 Apple machines.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
> bloggy blog: http://lars.ingebrigtsen.no